//
//  ParamModel.m
//  AsReaderScan
//
//  Created by Mikiko on 11/7/24.
//  Copyright © 2024 SPS INC. All rights reserved.
//

#import "ParamModel.h"

@implementation SymbolItemFromArray

- (instancetype)initWithTitle:(NSString *)title code:(NSInteger)code {
    self = [super init];
    if (self) {
        _title = title;
        _code = code;
    }
    return self;
}

- (BOOL)isOn {
    return [[NSUserDefaults standardUserDefaults] boolForKey:self.title];
}

- (void)setIsOn:(BOOL)isOn {
    [[NSUserDefaults standardUserDefaults] setBool:isOn forKey:self.title];
}

@end

@implementation SecurityItemFromArray

- (instancetype)initWithTitle:(NSString *)title code:(NSInteger)code {
    self = [super init];
    if (self) {
        _title = title;
        _code = code;
    }
    return self;
}

- (NSInteger)level {
    return [[NSUserDefaults standardUserDefaults] integerForKey:self.title];
}

- (void)setLevel:(NSInteger)level {
    [[NSUserDefaults standardUserDefaults] setInteger:level forKey:self.title];
}

@end

