//
//  ErrorCodeHelper.h
//  AsReaderScan
//
//  Created by sps on 2022/04/26.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/**
 *  @brief      The ErrorCodeHelper.m class is designed to handle error codes and commands that occur during communication with an RFID reader. It parses raw error data and translates it into a human-readable format to help with debugging and understanding the issue.
 */
@interface ErrorCodeHelper : NSObject
+ (instancetype)sharedInstance;
- (NSString*)errorReceived:(NSData *)errorCode;

@end

NS_ASSUME_NONNULL_END
