//
//  FRMManager.h
//  AsReaderScan
//
//  Created by sps on 2020/10/27.
//

#import <Foundation/Foundation.h>
#import "RFMSensorItem.h"
NS_ASSUME_NONNULL_BEGIN

/**
 *  @brief      This file is part of the iOS application handling RFID sensor data and provides functionality to filter, parse, and process RFID tag data, specifically dealing with sensor information from the tags.
 */
@interface RFMManager : NSObject{
    
}

- (void)setFilterRSSI:(int)rssi wet:(int)wet;
- (double)p_temperatureCalc:(Byte *)sensorData typeIndex:(int)typeIndex;
- (RFMSensorItem *)parseData:(NSData *)pcEpc sensorData:(NSData *)sensorData rssi:(int8_t)rssi;
@end

NS_ASSUME_NONNULL_END

