//
//  RainTagHelper.h
//  AsReaderScan
//
//  Created by Robin on 2021/10/18.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/**
 *  @brief      The RainTagHelper class is responsible for extracting PC and EPC values from RFID tag data, as well as for comparing two EPC tags to determine if they are the same.
 */
@interface RainTagHelper : NSObject

+ (NSString *)getPC:(NSData*)rawData;
+ (NSString *)getEPC:(NSData*)rawData;
+ (BOOL) checkSameTag1:(NSData*)compare1 Tag2:(NSData*)compare2;
@end

NS_ASSUME_NONNULL_END
